Mailinglist Archive: opensuse-buildservice (156 mails)

< Previous Next >
Re: [opensuse-buildservice] Using package from another repository
  • From: Christoph Thiel <cthiel@xxxxxxx>
  • Date: Sat, 5 Aug 2006 13:12:07 +0200 (CEST)
  • Message-id: <Pine.LNX.4.64.0608051310170.16454@xxxxxxxxxxxxx>
On Sat, 5 Aug 2006, James Ogley wrote:

> I'm trying to build a new package, multisync-gui which requires -devel
> packages from the OpenSync repo. When I add those packages to
> BuildRequires I get an expansion error.
>
> Is it possible to utilise those packages without linking them from the
> OpenSync repo into mine?

How about using the OpenSync as the base (instead of SUSE Linux X.Y). This
will make sure to take the packages out of the OpenSync repo first and
then fall back to SUSE Linux X.Y. But users will need to use the OpenSync
repo, too, otherwise they will face broken dependencies.


Regards
Christoph

< Previous Next >
Follow Ups
References